<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ScrollView
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/headerToolbar">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/spacing_regular">

            <EditText
                android:id="@+id/taskTitleEditText"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:hint="@string/enter_task_title"
                android:importantForAutofill="no"
                android:inputType="text"
                android:padding="@dimen/spacing_regular"
                android:textAppearance="@style/TextAppearance.MaterialComponents.Body1"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <EditText
                android:id="@+id/taskDescEditText"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spacing_small"
                android:hint="@string/enter_task_desc"
                android:importantForAutofill="no"
                android:inputType="text"
                android:padding="@dimen/spacing_regular"
                android:textAppearance="@style/TextAppearance.MaterialComponents.Body1"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/taskTitleEditText" />

            <EditText
                android:id="@+id/taskDateEditText"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spacing_small"
                android:enabled="false"
                android:hint="@string/select_date"
                android:importantForAutofill="no"
                android:inputType="datetime"
                android:padding="@dimen/spacing_regular"
                android:textAppearance="@style/TextAppearance.MaterialComponents.Body1"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/taskDescEditText" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>

    <com.google.android.material.appbar.MaterialToolbar
        android:id="@+id/headerToolbar"
        style="@style/Widget.Toolbar"
        android:layout_width="0dp"
        android:layout_height="?attr/actionBarSize"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:title="@string/create_new_task_title">

        <com.google.android.material.button.MaterialButton
            android:id="@+id/saveTaskButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end|center"
            android:layout_marginEnd="@dimen/spacing_regular"
            android:text="@string/button_title_save"
            android:textAppearance="@style/TextAppearance.MaterialComponents.Button" />

    </com.google.android.material.appbar.MaterialToolbar>
</androidx.constraintlayout.widget.ConstraintLayout>
